Summary: a full-fledged speech output interface to Emacs
Name: emacspeak
Version: 11.0
Release: 1
Copyright: GPL
Group: Applications/Editors/Emacs
URL: http://www.cs.cornell.edu/Info/People/raman/emacspeak/emacspeak.html
Source: http://www.cs.cornell.edu/Info/People/raman/emacspeak/%{name}-%{version}.tgz
Source1: emacspeakconfig.tar.gz
Source2: emacspeak.1
Source3: %{name}-%{version}-README.RPM
Patch0: emacspeak-11.0-makefile.patch
Requires: tclx, emacs >= 20.3, /bin/awk
BuildRoot: /var/tmp/%{name}-%{version}
BuildArchitectures: noarch

%description
Emacspeak is the first full-fledged speech output system that will
allow someone who cannot see to work directly on a UNIX system.
(Before Emacspeak, the only option available to visually impaired
users was to use a talking PC as a terminal.) Emacspeak is built on
top of Emacs. Once you start emacs with emacspeak loaded, you get
spoken feedback for everything you do. Your mileage will vary
depending on how well you can use Emacs. There is nothing that you
cannot do inside Emacs:-)

For notes about this package of Emacspeak, see
/usr/doc/%{name}-%{version}/README.RPM

%changelog
* Mon Nov 28 1999 Matthew Campbell <mattcamp@feist.com>
- Updated to 11.0.
- Pulled out most of the patches (either Raman fixed them or I didn't think
  they were worth including).
- Reworked Makefile patch, taking out modificatiosn that are irrelevant.
  This patch is now the only patch to the Emacspeak distribution.
- Included a new version of the emacspeak man page from Jim Van Zandt
  <jrv@vanzandt.com>.
- Included a new version of Jim's emacspeakconfig script and emacspeak.conf
  file.
- Removed require of /usr/bin/play.
- Removed the tables.html file from the list of sources, since Raman now
  includes it in the distribution.
- Added README.RPM file with notes on emacspeakconfig and the outloud server.
- Removed hack to copy NEWS-\%{version} to NEWS; Raman has fixed this problem.
- Modified install script to be sure everything is installed with correct
  modes.
- Modified install script to install linux-outloud directory under
  /usr/share/emacs/site-lisp/emacspeak.
- Modified post-install and post-uninstall scripts to use /etc/info-dir
  instead of /usr/info/dir as the info directory.
- Removed mention of emacspeakconfig from post-install output.
- Added hack involving "ed" to fix an error I made when patching
  emacspeakconfig in the last RPM.
- In the doc directory, replaced tables.html with the whole tables
  directory and added the README and README.RPM files.
- In the install script, changed PREFIX (uppercase) to prefix (lowercase)
  on the make command line.
- Copied package summary and description from the Emacspeak Web site and
  added a note to the description about the README.RPM file.
- Modified post-install script to copy emacspeak.conf.rpmsave back to
  emacspeak.conf so users don't have to reconfigure Emacspeak with each
  upgrade.
- Release 1.

* Fri Sep 03 1999 Matthew Campbell <mattcamp@feist.com>
- Added tables.html file supplied by Raman (but not included with the
  distribution).  It will be installed in the emacspeak doc directory.
- Remove extra space in the info page node title "Speech Output  Control"
  which breaks info readers (according to Jim Van Zandt <jrv@vanzandt.mv.com>,
  maintainer of the Emacspeak Debian package).
- Patched the emacspeakconfig script and the emacspeak.conf file so that the
  DTK_TCL variable is only exported if it's non-empty.  This way, users of older
  emacspeak packages (whether RPM or not) can upgrade smoothly to the new RPM
  without running emacspeakconfig or twaking the emacspeak.conf fiel or their
  profile.
- Final (now PGP-signed) build of release 2.

* Sun Aug 29 1999 Matthew Campbell <mattcamp@feist.com>
- Patched emacspeak-websearch.el to try to load the url-vars library before
  declaring url-be-asynchronous in the various websearch functions, so that
  following links on the results pages will work even if the user hasn't
  loaded W3 already.
- Patched emacspeak-speak.el to look for mail files under /var/spool/mail
  instead of /usr/spool/mail (which doesn't exist in Red Hat).
- Added the URL for the Emacspeak home page to the preamble.
- Added a -q option to the setup macro call in the prep script.
- Added emacspeakconfig, as well as man pages for emacspeak and
  emacspeakconfig, from the Debian package.  Thanks to Jim Van Zandt
  <jrv@vanzandt.mv.com> for his excellent work; emacspeakconfig is very
  nice.
- Added a command in the prep script to copy NEWS-%%{version} to NEWS, if
  NEWS-%%{version} exists.
- Added /bin/awk to the Requires field, for the emacspeakconfig script.
- Added two messages in the post-install script, one telling the user to
  make sure he has a speech server for his synthesizer, and the other
  telling him to use emacspeakconfig to configure Emacspeak for his synth.
- Added a line to emacspeak.def to read /etc/emacspeak.conf and renamed the
  patch to emacspeak-10.0-sh.patch
- Fixed a bug in emacspeakconfig that was causing it to bypass the chmod
  command it was supposed to run on the synthesizer port.

* Thu Aug 19 1999 Matthew Campbell <mattcamp@feist.com>
- Patched info/packages.texi to use a @ref command instead of @xref for
  its inline cross-reference. (Thanks to teh updated makeinfo utility for
  making me do this.)

* Tue Aug 17 1999 Matthew Campbell <mattcamp@feist.com>
- Patched emacspeak-setup.def to declar emacspeak-resource-directory before
  loading emacspeak.  This fixed a bug that might sometimes leave users
  without speech if they load certain packages before they load Emacspeak.

* Sat Aug 07 1999 Matthew Campbell mattcamp@feist.com
- New upstream version (emacspeak 10.0)
- New (self-elected) maintainer
- Updated the Makefile patch and renamed it to emacspeak-10.0-makefile.patch
- Updated info patchfile and renamed it to emacspeak-10.0-info.patch
- Removed the dtk-exp patch; the corrections are built in to this release
- Modified the build section so that it does 'make config' with the
  libdir set to the current directory, and the install section so it
  does a standard 'make config'.  This makes it possible to build the
  package on a system where emacspeak is not already installed, or
  where it isn't in the standard location.
- Modified the Makefile so that it installs the FAQ in libdir and
  makes the play script executable.
- Patched the play script to use /usr/bin/play instead of dumping the
- Modified the preun script to remove the info instead of reinstalling it.
  file to /dev/audio or /dev/dsp.  This seems to make the auditory
  icons sound right on a wider range of kernels and sound cards,
  and sox seems to be installed by default on Red Hat systems.

* Thu Mar 11 1999 Hans Zoebelein hzo@goldfish.cube.net
- bug in emacspeak startup script, script cleaned up

* Mon Nov 09 1998 W. L. Estes <wlestes@uncg.edu>
- rework patch to emacspeak-advice.el to give correct output
- patch emacspeak.def to work if user has no init file

* Fri Nov 06 1998 W. L. Estes <wlestes>
- patch dtk-exp to not ignore DTK_OS,DTK_PORT (modified from raman@adobe.com)
- unify all patches to Makefile
- use \%defattr in filelist

* Tue Nov 03 1998 W. L. Estes <wlestes@uncg.edu>
- update to 9.0
- beat up spec file
- emacspeakconfig is dead for now (it forced users to use it and this
  is bad.)
- gzip info files
- build root
- patch Makefile to be more sane
- add install-info support to texinfo docs and post/preun scripts
- patch to sed in LIBDIR in make config, not CWD
- remove advice to dump user in *completions* when tab completing in a
  comint based buffer

%prep 
%setup -q
tar -zxf $RPM_SOURCE_DIR/emacspeakconfig.tar.gz
chmod -R u+w .
%patch0 -p1
cp $RPM_SOURCE_DIR/%{name}-%{version}-README.RPM README.RPM

%build
make config libdir=`pwd`
make
make -C info

%install
make config
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,info,share/emacs/site-lisp/emacspeak,sbin,man/man1,man/man8}
mkdir -p $RPM_BUILD_ROOT/etc
make install prefix=$RPM_BUILD_ROOT/usr
install -m 755 emacspeakconfig $RPM_BUILD_ROOT/usr/sbin
install -m 644 *.blurb $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/emacspeak
install -m 644 emacspeak.conf $RPM_BUILD_ROOT/etc
install -m 644 $RPM_SOURCE_DIR/emacspeak.1 $RPM_BUILD_ROOT/usr/man/man1
install -m 644 emacspeakconfig.8 $RPM_BUILD_ROOT/usr/man/man8
gzip -f --name $RPM_BUILD_ROOT/usr/info/*.info*
gzip -f --name $RPM_BUILD_ROOT/usr/man/man*/*
install -d $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/emacspeak/linux-outloud
install -m 644 linux-outloud/* $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/emacspeak/linux-outloud

%clean
rm -rf $RPM_BUILD_ROOT

%post
install-info /usr/info/emacspeak.info.gz /etc/info-dir
if [ -f /etc/emacspeak.conf.rpmsave ]
then
  cp /etc/emacspeak.conf.rpmsave /etc/emacspeak.conf
fi
ed /etc/emacspeak.conf >/dev/null 2>&1 <<END
,s/""\];/"" \];/g
wq
END
echo "See the NEWS file for a  summary of new features --control e cap n in Emacs"
echo "See the FAQ for Frequently Asked Questions -- control e cap F in Emacs"
echo "Use C-h p in Emacs for a package overview"
echo "Make sure you read the Emacs info pages"

%preun
if [ $1 = 0 ] ; then
install-info --remove /usr/info/emacspeak.info.gz /etc/info-dir
fi

%files
%defattr (-, root, root, 755)
%doc COPYRIGHT  DOC  HELP NEWS* FAQ tables README*
%config /etc/emacspeak.conf
/usr/bin/emacspeak
/usr/info/emacspeak.info*.gz
/usr/man/man1/emacspeak.1.gz
/usr/man/man8/emacspeakconfig.8.gz
/usr/sbin/emacspeakconfig
/usr/share/emacs/site-lisp/emacspeak/
